Attribute VB_Name = "Module1"
'=================================================
'                             code pour imiter une barre new-look
'bien regarder les procedures mouse de tous les controles rataches
'aux divers boutons sur les feuilles de travail
' 1998 Jean-Pierre GEOFFROY
'=================================================


'last_index% permet d'utiliser le controle sur plusieurs feuilles dans le projet.
'il faut donner la dimension du tableau en nombre de feuilles de travail.
'dans cet exemple nous avons 2 feuilles donc deux barre d'icones possibles

Global last_index%(0 To 1) 'obligatoire pour le rafraichissement des boutons

Global Const bleu& = &HFF0000 'pour changer la couleur du caption des etiquettes
Global Const noir& = &H80000012

'le passage des arguments par types permets de ne pas s'occuper de l'endroit
'd'ou il vient
Sub boutton_down(cadre As Shape, img_color As Image, lbl_caption As Label, _
ligne1 As Line, ligne2 As Line)
                    With cadre
                                        ligne1.X1 = .Left 'positionnement des lignes blanches
                                        ligne1.X2 = .Left + .Width 'largeur et hauteur=cadre
                                        ligne1.Y1 = .Top + .Height - 10
                                        ligne1.Y2 = .Top + .Height - 10
                                        ligne1.Visible = True
                                                  ligne2.X1 = .Left + .Width - 10
                                                  ligne2.X2 = .Left + .Width - 10
                                                  ligne2.Y1 = .Top - 10
                                                  ligne2.Y2 = .Top + .Height - 10
                                                  ligne2.Visible = True
                    End With
'                             pour donner l impression de relief: deplacer les icones
          With img_color
                              .Left = .Left + 10
                              .Top = .Top + 10
          End With
'                             dito que pour les etiquettes: deplacer le caption
          With lbl_caption
                              .Left = .Left + 10
                              .Top = .Top + 10
          End With

End Sub




'voir la procedure boutton_down qui en est le pendant
Sub boutton_up(cadre As Shape, img_color As Image, lbl_caption As Label, _
ligne1 As Line, ligne2 As Line)
                    With cadre 'la decoupe du boutton
                                        ligne1.X1 = .Left
                                        ligne1.X2 = .Left + .Width - 10
                                        ligne1.Y1 = .Top
                                        ligne1.Y2 = .Top
                                        ligne1.Visible = True
                                                  ligne2.X1 = .Left
                                                  ligne2.X2 = .Left
                                                  ligne2.Y1 = .Top
                                                  ligne2.Y2 = .Top + .Height - 10
                                                  ligne2.Visible = True
                    End With
'                   replacer les icones
          With img_color
                              .Left = .Left - 10
                              .Top = .Top - 10
          End With
'                   deplacer le caption
          With lbl_caption
                              .Left = .Left - 10
                              .Top = .Top - 10
          End With

End Sub



'cette procedure se refere au passage en dehors d'un bouton
'soit sur la feuille soit sur le picture qui sert de support aux boutons
Sub cacher_icone(img_color As Image, img_BW As Image, cadre As Shape, _
ligne1 As Line, ligne2 As Line, num_feuille, etiquette As Label)
                    If img_color.Visible = True Then ' effacer l ancienne
          etiquette.ForeColor = noir&
                              last_index%(num_feuille) = -1 'index 'changer index
                              cadre.Visible = False
                              ligne1.Visible = False
                              ligne2.Visible = False
                              img_color.Visible = False
                              img_BW.Visible = True ' effacer l ancienne
                    End If

End Sub



'affichage de l'icone et des boutons en relief
Sub voir_icone(img_BW As Image, img_color As Image, img_button As Image, cadre As Shape, _
ligne1 As Line, ligne2 As Line, etiquette As Label)
If img_BW.Visible = True Then 'si on passe sur l icone noir donc selection
          etiquette.ForeColor = bleu&
                    With cadre 'la decoupe du boutton
                              .Left = img_button.Left 'positionnement du cadre
                              .Top = img_button.Top
                              .Height = img_button.Height 'taille du cadre(pour aller plus vite,
                              .Width = img_button.Width 'on peut lui donner la taille des imges)
                              .Visible = True
                                        ligne1.X1 = .Left 'positionne les lignes
                                        ligne1.X2 = .Left + .Width - 10
                                        ligne1.Y1 = .Top
                                        ligne1.Y2 = .Top
                                        ligne1.Visible = True
                                                  ligne2.X1 = .Left
                                                  ligne2.X2 = .Left
                                                  ligne2.Y1 = .Top
                                                  ligne2.Y2 = .Top + .Height - 10
                                                  ligne2.Visible = True
                    End With
          img_BW.Visible = False 'affiche l icone en couleur
          img_color.Visible = True
Else 'si on pase sur une icone couleur donc deselection
          etiquette.ForeColor = noir&
          img_color.Visible = False
          img_BW.Visible = True
End If
End Sub






